This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827121 - [3.3.0] Mount options "noauto" and "_netdev" should be silently ignored
[3.3.0] Mount options "noauto" and "_netdev" should be silently ignored
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Csaba Henk
: Triaged
Depends On:
Blocks: 848320 858442
  Show dependency treegraph
 
Reported: 2012-05-31 12:46 EDT by Joe Julian
Modified: 2013-07-24 13:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848320 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:35:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2012-05-31 12:46:31 EDT
mount.glusterfs should silently ignore the init options "noauto" and "_netdev"
Comment 1 Lubomir Rintel (GoodData, inactive) 2012-08-29 10:56:55 EDT
http://review.gluster.org/#change,3872
Comment 2 Lubomir Rintel (GoodData, inactive) 2012-08-29 12:22:13 EDT
for a correct branch this time http://review.gluster.org/#change,3873
Comment 3 hans 2013-04-23 09:26:36 EDT
On release-3.3 branch, up to the "cluster/dht: Correct min_free_disk behaviour" commit a "noauto" breaks a "mount -a -tglusterfs" ; nothing is mounted.
No output or exit code either.
Removing noauto from the options in fstab makes "mount -a -tglusterfs" work again.
Comment 4 Joe Julian 2013-04-23 09:36:57 EDT
That is the correct behavior and is a function of mount, not GlusterFS. See http://linux.die.net/man/8/mount first paragraph under mount -a

Note You need to log in before you can comment on or make changes to this bug.